Documentation Index

Fetch the complete documentation index at: https://docs.xgen.ai/llms.txt

Use this file to discover all available pages before exploring further.

Track an element view event. This event is used to track when an element is in the user's viewport

Prev Next
Post
/customers/{customerId}/users/{userId}/element-view
Security
API Key
Header parameter nameaccess_token

Access token Authentication

Path parameters
customerId
stringRequired
userId
stringRequired
Body parameters
Expand All
object
Example{ "rec": "1", "idsite": "1234", "url": "https://example.com", "urlref": "https://example.com", "locale": "en_US", "uid": "{\"customer_id\":\"customer_id\",\"user_type\":\"return_user\",\"testing_group_name\":\"Inactive\",\"session_id\":\"524e0542-5713-4755-a8c0-1430cbd58aa9\"}", "action_name": "content_tracking", "action_detail": "element_view", "action_type": "smart_element", "c_n": "sm_el_1234", "c_t": "1234,5678,9012", "c_i": "elementViewed" }
rec
string

Default parameter to send with event payload

Example1
idsite
string

The tracking_id of the site

Example1234
url
string

The URL of the page

Examplehttps://example.com
urlref
string

The referrer URL

Examplehttps://example.com
locale
string

The locale of the user

Exampleen_US
uid
string

A string representation of the user object

Example{"customer_id":"customer_id","user_type":"return_user","testing_group_name":"Inactive","session_id":"524e0542-5713-4755-a8c0-1430cbd58aa9"}
action_name
string

The name of the action that was performed.

Examplecontent_tracking
action_detail
string

Details on the action that was performed.

Examplesearch_result
action_type
string

The meta action that was performed.

Examplesearch_service
c_n
string

The ID of the element or deployment to track

Examplesm_el_1234
c_t
string

A comma separated list of products

Example1234,5678,9012
c_i
string

A description of the event type

ExamplesearchResult
context
object

A JSON object of context data. Used to pass dynamic, additional data to the tracker.

Example{ "key1": "value1", "key2": 1000, "nested": { "key": "value" }, "array": [ "1", "2", "3" ] }
Responses
200

Successful response

400

Bad request

401

Unauthorized

403

Forbidden

500

Internal server error